
# Mandaye configuration
host = "127.0.0.1"
port = 8088


debug = True

# Needed if ssl is activate
ssl = False
keyfile = ""
certfile = ""

# Template directory
template_directory = "mandaye/templates"

# Database configuration
# Follow the rfc 1738 http://rfc.net/rfc1738.html
db_url = 'sqlite:///test.db'


#example_mapping = [
#            {
#            'path': r'/'
#            'on_response_filters': [{
#                'type': 'data',
#                'filter': my_filter
#                }]
#            },
#           {
#            'path': r'/test$'
#            'method': 'GET',
#            'response': {
#                'dispatcher_method': 'my_test',
#                'values': {
#                    'toto': 'titi',
#                    }
#                }
#            },
#]

from dispatchers.default import Dispatcher

hosts = {
        'localhost:8088': [
            {'path': r'/',
              'target': 'http://perdu.com',
              'mapping': None
              },
            ],
        }

session_opts = {
        'session.type': 'file',
        'session.cookie_expires': True,
        'session.data_dir': '/tmp',
        'session.expire': 3600,
}

from mandaye.local_config import *

