#! /usr/bin/env python

'''
   Setup script for Mandaye
'''

import mandaye

from setuptools import setup, find_packages

setup(name="mandaye",
      version=mandaye.VERSION,
      license="AGPLv3 or later",
      description="Mandaye, modular reverse proxy to authenticate",
      url="http://dev.entrouvert.org/projects/reverse-proxy/",
      author="Entr'ouvert",
      author_email="info@entrouvert.org",
      maintainer="Jerome Schneider",
      maintainer_email="jschneider@entrouvert.com",
      scripts=['mandayectl'],
      packages=find_packages(),
      package_data={},
      install_requires=[
          'beaker>=1.5',
          'gevent>=0.13',
          'mako>=0.3',
          'poster>=0.8',
          'pycrypto>=2.0',
          'sqlalchemy>=0.6',
      ],
)
